# BackpackItem

BackpackItem : `Instance`

## Overview

A BackpackItem is an abstract class commonly inherited by items stored in a Backpack, such as Tools

## Properties

### TextureId

`string`

This property specifies the icon image used to display a Tool in the inventory UI at the bottom of the screen.

If not set, the Tool's name is displayed instead of an image.

#### Code Samples

```lua
local Tool = script.Parent
print(Tool.TextureId)
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/backpackitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
